/*
 * Malevolent Revenge
 * by Simon Pugnet (2012-03-21)
 * 
 * This file contains the program entry point main().
 * main() creates and initialises a c_game instance then passes control to
 * c_game::run(), which will return when the user quits the game.
 */

#include <allegro.h>
#include "c_game.h"

int main(int argc, char **argv)
{
	c_game *game = new c_game;
	
	if (game != NULL)
	{
		if (game->init(false))
			game->run();

		game->shutdown(false);
		delete game;
		
		return 0;
	}
	else
		return 1;
}
END_OF_MAIN();
